<!-- 选择简历 -->
<template>
  <Dialog
    :visible="show"
    :widthType="2"
    titleClass="text-h6"
    :title="$t('resume.selectResumeToSubmit')"
    @close="emit('close')"
    @submit="emit('submit', selectResume)"
  >
    <div v-if="selectLocalFile" class="defaultLink ml-3 mb-3" style="font-size: 15px;" @click="emit('handleLocalFileClick')">{{ $t('resume.selectLocalFile') }}</div>
    <v-radio-group v-model="selectResume">
      <v-radio v-for="val in list" :key="val.id" :value="val.id" :label="val.title" color="primary"></v-radio>
    </v-radio-group>
  </Dialog>
</template>

<script setup>
import Dialog from '@/components/CtDialog'
import { watch, computed, ref } from 'vue'
defineOptions({name: 'position-details-selectResumeDialog'})

const props = defineProps({
  selectLocalFile: {
    type: Boolean,
    default: false
  },
  list: {
    type: Array,
    default: () => []
  },
  modelValue: [Boolean, Number]
})
const emit = defineEmits(['update:modelValue', 'handleToUpload', 'submit', 'close', 'handleLocalFileClick'])
const show = computed(() => {
  return props.modelValue
})

watch(() => show.value, (newVal) => {
  emit('update:modelValue', newVal)
})

const selectResume = ref()
</script>
<style lang="scss" scoped>
</style>
